package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tej;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TejMapper {

    int insert(Tej record);

    int insertSelective(Tej record);

    int updateByPrimaryKeySelective(Tej record);

    int updateByPrimaryKey(Tej record);

    int deleteByPrimaryKey(Tej record);

    int deleteByIds(Collection<Object> collection);

    Tej selectByPrimaryKey(Tej record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tej> dyncRead(Map<String, Object> dyncMap);

    Integer selectMaxSeqno(@Param("inr") String inr);

//    Tej selectByObjInfo(Tej newtej);

    List<Tej> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tbk> 实例对象列表
     * @return 影响行数
     */
//    int insertBatch(@Param("entities") List<Tej> entities);
}